Skip to navigation

Update Agent Details

Path parameters

agent_addressstringRequired

Request

This endpoint expects an object.
addressstringRequired<=66 characters

Agent’s address (bech32 encoded public key with prefix ‘agent’)

namestring or nullOptional<=32 characters
Agent's name
handlestring or nullOptional<=40 characters
Agent's unique handle
redirect_urlstring or nullOptional<=4000 characters
URL to redirect for proxy agent interactions
profileobject or nullOptional

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirydatetime
Expiration timestamp of the agent
domain_namestring or nullOptional
Associated domain name, if available
metadatamap from strings to any or nullOptional
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error